Bug 802544 - links are getting null in them, e.g. cannot view plugin details page in admin section
links are getting null in them, e.g. cannot view plugin details page in admin...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: John Sanda
Mike Foley
:
: 803839 (view as bug list)
Depends On:
Blocks: 682255 rhq-uxd
  Show dependency treegraph
 
Reported: 2012-03-12 15:20 EDT by John Sanda
Modified: 2013-09-02 03:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2012-03-12 15:20:20 EDT
Description of problem:
The links to the agent and server plugin details pages are broken, and the views cannot be accessed. The URLs look like http://localhost:7080/coregui/#null/10001. This appears to be a recently introduced in master only. I just tested against RHQ 4.3, and did not see the issue there.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Log into RHQ server and click on Administration link in top level nav.
2. Click on Agent (or Server) plugins.
3. Click on one of the plugin names.
  
Actual results:
You get a blank page with URL like http://localhost:7080/coregui/#null/10001.

Expected results:
The plugin details view should be rendered.


Additional info:
Comment 1 John Sanda 2012-03-14 12:27:23 EDT
Looks like this was caused by the work done for bug 682255.
Comment 2 John Mazzitelli 2012-03-16 10:53:38 EDT
This also happens when you click "New" to create a new dynagroup.
Comment 3 John Sanda 2012-03-16 14:05:28 EDT
The reason the null links were showing up is because with the title decoration, VLayouts were getting added to NavigationItems instead of the view objects as previously done. The problem with this is that the view classes implement BookmarkableView, but the VLayout getting added to the NavigationItem does not. When the view is subsequently rendered, the renderView method of the view was not getting invoked which resulted in the URLs with null showing up in them.
    
This commit resolves the issue by adding the original view object to the NavigationItem. Only when a NavigtionItem is selected to become the current view is it then decorated while renderView still gets invoked.

master commit hash: e2307097306845184bb25c88f9c74189de938dd8
Comment 4 John Sanda 2012-03-19 11:08:29 EDT
*** Bug 803839 has been marked as a duplicate of this bug. ***
Comment 5 Jeeva Kandasamy 2012-03-20 08:33:07 EDT
Following links are working as expected, hence moving this defect to verified state.

- User creation
- Role Creation
- Plugin Details (Agent/Server)
- DynaGroup Definitions Creation
Comment 6 Jeeva Kandasamy 2012-03-20 08:33:37 EDT
Verified on,

Version: 4.4.0-SNAPSHOT
Build Number: ed3c3f2
GWT Version: 2.4.0
SmartGWT Version: 3.0
Comment 7 Heiko W. Rupp 2013-09-02 03:26:58 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.